#!/usr/bin/make -f

MAJOR := $(shell python3 setup.py --version | awk -F "." '{print $$1 "." $$2}')

# Don't run tests for Tryton modules at build time, they possibly depend
# on other modules of the same version, that possibly are not yet available
# from the archive in case of new releases. Instead the testsuite is run via
# autopkgtest.
# For the complete test suites on all supported databases refer to
# http://tests.tryton.org/
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_gencontrol:
	dh_gencontrol -- -Vversion:major="$(MAJOR)" -VAPI="tryton-server-api-$(MAJOR)"
